import './App.css';
import React, { Component } from 'react';
import { BrowserRouter, Route, Routes } from 'react-router-dom';

//These lines import the Home, About, Themes, Error, and Navigation components from the specified file paths. 
//These components will be used in the App component.
import Home from './components/Home';
import About from './components/About';
import Themes from './components/Themes';
import Error from './components/Error';
import Navigation from './components/Navigation';


// Each Route component maps a specific path to a corresponding component.
class App extends Component {
    render() {
        return (
            <BrowserRouter>
                <div>
                    <Navigation />
                    <Routes>
                        <Route path="/" component={Home} exact />
                        <Route path="/about" component={About} />
                        <Route path="/themes" component={Themes} />
                        <Route component={Error} />
                    </Routes>
                </div>
            </BrowserRouter>
        );
    }
}

export default App;
